LotusStyleManagerInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LotusStyleManagerInternal::State Struct Reference

the state of LotusStyleManager More...

## Public Member Functions
| State ()
| constructor More...
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id More...
bool | getPattern (int id, WPSGraphicStyle::Pattern &pattern) const
| returns the pattern corresponding to a pattern id More...

## Public Attributes
long | m_eof
| the last file position More...
int | m_version
| the file version More...
bool | m_isUpdated
| a flag to know if updateState was launched More...
std::map< int, CellStyle > | m_idCellStyleMap
| a map id to cell style More...
std::map< int, ColorStyle > | m_idColorStyleMap
| a map id to color style More...
std::map< int, FontStyle > | m_idFontStyleMap
| a map id to font style More...
std::map< int, FormatStyle > | m_idFormatStyleMap
| a map id to format style More...
std::map< int, GraphicStyle > | m_idGraphicStyleMap
| a map id to graphic style More...
std::map< int, LineStyle > | m_idLineStyleMap
| a map id to line style More...

## Detailed Description

the state of LotusStyleManager

## Constructor & Destructor Documentation

LotusStyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool LotusStyleManagerInternal::State::getColor | ( | int | id,
|  | WPSColor & | color
| ) |  | const

returns a color corresponding to an id

bool LotusStyleManagerInternal::State::getPattern | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern
| ) |  | const

returns the pattern corresponding to a pattern id

## Member Data Documentation

long LotusStyleManagerInternal::State::m_eof

the last file position

std::map<int, CellStyle> LotusStyleManagerInternal::State::m_idCellStyleMap

a map id to cell style

std::map<int, ColorStyle> LotusStyleManagerInternal::State::m_idColorStyleMap

a map id to color style

std::map<int, FontStyle> LotusStyleManagerInternal::State::m_idFontStyleMap

a map id to font style

std::map<int, FormatStyle> LotusStyleManagerInternal::State::m_idFormatStyleMap

a map id to format style

std::map<int, GraphicStyle> LotusStyleManagerInternal::State::m_idGraphicStyleMap

a map id to graphic style

std::map<int, LineStyle> LotusStyleManagerInternal::State::m_idLineStyleMap

a map id to line style

bool LotusStyleManagerInternal::State::m_isUpdated

a flag to know if updateState was launched

int LotusStyleManagerInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp